#!/usr/bin/perl
use Test::More qw(no_plan);

use_ok( 'RDF::Query' );

my $query	= new RDF::Query ();
isa_ok( $query, 'RDF::Query' );
{
	my @results	= $query->query( <<"END" );
		SELECT
			?page
		FROM
			<http://kasei.us/about/foaf.xrdf>
		WHERE
			(?person foaf:name "Gregory Todd Williams")
			(?person foaf:homepage ?page)
		USING
			foaf FOR <http://xmlns.com/foaf/0.1/>
END
	is( scalar(@results), 1, 'Got one result' );
	isa_ok( $results[0], 'ARRAY' );
	is( scalar(@{$results[0]}), 1, 'Got one field' );
	isa_ok( $results[0][0], 'RDF::Core::Resource' );
	is( $results[0][0]->getLabel, 'http://kasei.us/', 'Got homepage url' );
}
